zenilib: SDL_BlitMap Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_BlitMap Struct Reference

`#include <SDL_blit.h>`

## Public Attributes

SDL_blit | blit
void * | data
SDL_Surface * | dst
Uint32 | dst_palette_version
int | identity
SDL_BlitInfo | info
Uint32 | src_palette_version

## Detailed Description

Definition at line 85 of file SDL_blit.h.

## Member Data Documentation

SDL_blit SDL_BlitMap::blit

Definition at line 89 of file SDL_blit.h.

Referenced by SDL_CalculateBlit(), SDL_LowerBlit(), and SDL_RLESurface().

void* SDL_BlitMap::data

Definition at line 90 of file SDL_blit.h.

Referenced by RLEAlphaSurface(), RLEColorkeySurface(), SDL_CalculateBlit(), SDL_RLEAlphaBlit(), SDL_RLEBlit(), SDL_SoftBlit(), SDL_UnRLESurface(), and UnRLEAlpha().

SDL_Surface* SDL_BlitMap::dst

Definition at line 87 of file SDL_blit.h.

Referenced by RLEAlphaSurface(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

Uint32 SDL_BlitMap::dst_palette_version

Definition at line 95 of file SDL_blit.h.

Referenced by SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

int SDL_BlitMap::identity

Definition at line 88 of file SDL_blit.h.

Referenced by SDL_CalculateBlit(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_MapSurface(), and SDL_RLESurface().

SDL_BlitInfo SDL_BlitMap::info

Definition at line 91 of file SDL_blit.h.

Referenced by RLEColorkeySurface(), SDL_AllocBlitMap(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertColorkeyToAlpha(), SDL_ConvertSurface(), SDL_CreateSurfaceOnStack(), SDL_GetColorKey(), SDL_GetSurfaceAlphaMod(), SDL_GetSurfaceColorMod(), SDL_InvalidateMap(), SDL_LowerBlitScaled(), SDL_MapSurface(), SDL_RLEBlit(), SDL_RLESurface(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetSurfaceAlphaMod(), SDL_SetSurfaceBlendMode(), SDL_SetSurfaceColorMod(), SDL_SetSurfaceRLE(), SDL_SoftBlit(), and SDL_UnRLESurface().

Uint32 SDL_BlitMap::src_palette_version

Definition at line 96 of file SDL_blit.h.

Referenced by SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/SDL_blit.h